Bug 833402 (CVE-2012-2744) - CVE-2012-2744 kernel: netfilter: null pointer dereference in nf_ct_frag6_reasm()
Summary: CVE-2012-2744 kernel: netfilter: null pointer dereference in nf_ct_frag6_reasm()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-2744
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 833410 833412 833414 833415 833416
Blocks: 833442
TreeView+ depends on / blocked
 
Reported: 2012-06-19 12:29 UTC by Petr Matousek
Modified: 2021-02-23 14:29 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-24 12:19:09 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1064 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2012-07-10 19:22:46 UTC
Red Hat Product Errata RHSA-2012:1114 0 normal SHIPPED_LIVE Important: kernel security update 2012-07-24 22:51:14 UTC
Red Hat Product Errata RHSA-2012:1129 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2012-08-01 00:05:42 UTC
Red Hat Product Errata RHSA-2012:1148 0 normal SHIPPED_LIVE Important: kernel security update 2012-08-07 22:03:07 UTC

Description Petr Matousek 2012-06-19 12:29:52 UTC
A flaw was found in the way ipv6 netfilter's connection tracking module handled packets fragmented into a single fragment. A remote attacker could use this flaw to crash the system.

Upstream fix:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=9e2dcf72023d1447f09c47d77c99b0c49659e5ce

Acknowledgements:

Red Hat would like to thank Antonios Atlasis working with Beyond Security's SecuriTeam Secure Disclosure program for reporting this issue.

Comment 4 Petr Matousek 2012-07-04 05:51:53 UTC
Statement:

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5 as they did not include support for netfilter's ipv6 connection tracking module. This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux MRG as they already contain the upstream commit that fixes this issue.

Comment 6 errata-xmlrpc 2012-07-10 11:43:05 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1064 https://rhn.redhat.com/errata/RHSA-2012-1064.html

Comment 8 errata-xmlrpc 2012-07-24 18:51:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.0 EUS - Server Only

Via RHSA-2012:1114 https://rhn.redhat.com/errata/RHSA-2012-1114.html

Comment 9 errata-xmlrpc 2012-07-31 20:07:18 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 EUS - Server Only

Via RHSA-2012:1129 https://rhn.redhat.com/errata/RHSA-2012-1129.html

Comment 10 errata-xmlrpc 2012-08-07 18:04:19 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.1 EUS - Server Only

Via RHSA-2012:1148 https://rhn.redhat.com/errata/RHSA-2012-1148.html


Note You need to log in before you can comment on or make changes to this bug.